#
# spec file for package dxc (Version 4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dxc
Copyright:    GPL
Group:        Networking/Hamradio
Autoreqprov:  on
Version:      4.4
Release:      194
Summary:      Pseudo terminal for packet cluster
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
URL:	      http://gw.ir3ip.ampr.org/~iz4ako/dxc.html
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
DXC is a pseudo terminal for packet cluster. DXC monitors data packet on the
frequency of your local cluster. When DX INFO is transmitted to connected users,
DXC grabs information and prints it in various colors on screen. A special
file is opened to store ALL QSL-INFO and  MANAGER. DXC is ideal for SWL but
also for OM. Hardware needed is simply a BAYCOM/Soundmodem (or KISS TNC)

Authors:
--------
    Pierluigi Guerzoni <iz4ako@ing49.unife.it>

SuSE series: ham

%prep
%setup
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/ax25/,/usr/bin/,%{_mandir}/man1/}
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
install -d $RPM_BUILD_ROOT/var/dxc/
touch $RPM_BUILD_ROOT/var/dxc/Qsl_info.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README.1st
%config /etc/ax25/dxcrc
/usr/bin/dxc
/usr/bin/dxcalarma
/usr/bin/dxcalarmb
/usr/bin/dxcalarmc
%{_mandir}/man1/dxc.1.gz
/var/dxc/

%changelog -n dxc
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Wed May 10 2000 - bubnikv@suse.cz
- new version (4.4)
- added buildroot
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 24 1999 - ro@suse.de
- fixed for new libax25
* Wed Mar 17 1999 - ro@suse.de
- fixed patch call
* Fri Mar 12 1999 - ka@suse.de
- initial release
